Package com.macrofocus.high_d.parallelcoordinatesmatrix

# Class AbstractParallelCoordinatesMatrixModel<Color,O,C>

java.lang.Object
com.macrofocus.high_d.parallelcoordinatesmatrix.AbstractParallelCoordinatesMatrixModel<Color,O,C>

All Implemented Interfaces:
  `ParallelCoordinatesMatrixModel<Color,O,C>`

Direct Known Subclasses:
  `DefaultParallelCoordinatesMatrixModel`

public abstract class AbstractParallelCoordinatesMatrixModel<Color,O,C> extends Object implements ParallelCoordinatesMatrixModel<Color,O,C>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractParallelCoordinatesMatrixModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addParallelCoordinatesMatrixListener(ParallelCoordinatesMatrixListener listener)`
  Add a listener for receiving interesting events about changes in the model.
  `void`
  `removeParallelCoordinatesMatrixListener(ParallelCoordinatesMatrixListener listener)`
  Remove a listener from the list of listeners that should be notified about changes in the model.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.high_d.parallelcoordinatesmatrix.ParallelCoordinatesMatrixModel

  `getAxisGroupModel, getAxisHierarchy, getColoring, getColorMapping, getDataFrame, getFilter, getObject, getObjectCount, getProbing, getSelection, getSettings, getVisual`

- ## Constructor Details

  - ### AbstractParallelCoordinatesMatrixModel

    public AbstractParallelCoordinatesMatrixModel()

- ## Method Details

  - ### addParallelCoordinatesMatrixListener

    public void addParallelCoordinatesMatrixListener(ParallelCoordinatesMatrixListener listener)
    Add a listener for receiving interesting events about changes in the model.
    Specified by:
      `addParallelCoordinatesMatrixListener` in interface `ParallelCoordinatesMatrixModel<Color,O,C>`
    Parameters:
      `listener` - the listener to add.

  - ### removeParallelCoordinatesMatrixListener

    public void removeParallelCoordinatesMatrixListener(ParallelCoordinatesMatrixListener listener)
    Remove a listener from the list of listeners that should be notified about changes in the model.
    Specified by:
      `removeParallelCoordinatesMatrixListener` in interface `ParallelCoordinatesMatrixModel<Color,O,C>`
    Parameters:
      `listener` - the listener to remove.